com.google.web.bindery.requestfactory.gwt.client

## Class RequestFactoryLogHandler

- java.lang.Object
- - java.util.logging.Handler
  - - com.google.gwt.logging.client.RemoteLogHandlerBase
    - - com.google.web.bindery.requestfactory.gwt.client.RequestFactoryLogHandler

-     public class RequestFactoryLogHandler
      extends RemoteLogHandlerBase

  A Handler that does remote logging for applications using RequestFactory.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `RequestFactoryLogHandler.LoggingRequestProvider` Provides a logging request.

  - ### Field Summary

    - ### Fields inherited from class com.google.gwt.logging.client.RemoteLogHandlerBase

      `WIRE_LOGGER_NAME, wireLogger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestFactoryLogHandler(RequestFactoryLogHandler.LoggingRequestProvider requestProvider, java.util.logging.Level level, java.util.List<java.lang.String> ignoredLoggerNames)` Since records from this handler go accross the wire, it should only be used for important messages, and it's Level will often be higher than the Level being used app-wide.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `publish(java.util.logging.LogRecord record)`

    - ### Methods inherited from class com.google.gwt.logging.client.RemoteLogHandlerBase

      `close, flush, isLoggable`

    - ### Methods inherited from class java.util.logging.Handler

      `getEncoding, getErrorManager, getFilter, getFormatter, getLevel, reportError, setEncoding, setErrorManager, setFilter, setFormatter, setLevel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestFactoryLogHandler

          public RequestFactoryLogHandler(RequestFactoryLogHandler.LoggingRequestProvider requestProvider,
                                          java.util.logging.Level level,
                                          java.util.List<java.lang.String> ignoredLoggerNames)

      Since records from this handler go accross the wire, it should only be used for important messages, and it's Level will often be higher than the Level being used app-wide. This handler also takes string which it will use to exclude the messages from some loggers. This usually includes the name of the logger(s) which will be used to log acknowledgements of activity going accross the wire. If we did not exclude these loggers, an infinite loop would occur.
      Parameters:
        `requestProvider` - a `RequestFactoryLogHandler.LoggingRequestProvider` instance
        `level` - a logging `Level`
        `ignoredLoggerNames` - a List of Strings

  - ### Method Detail

    - #### publish

          public void publish(java.util.logging.LogRecord record)

      Specified by:
        `publish` in class `java.util.logging.Handler`